/**
 * License Agreement.
 *
 * Ajax4jsf 1.1 - Natural Ajax for Java Server Faces (JSF)
 *
 * Copyright (C) 2007 Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

package at.ac.meduniwien.hno.hnoonconet.faces.renderkit.html;


// 
// Imports
//
import java.util.Iterator;
import java.util.Collection;
import java.util.Map;
import java.io.IOException;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;
import org.ajax4jsf.renderkit.ComponentsVariableResolver;
import org.ajax4jsf.renderkit.ComponentVariables;
//
//
//


import at.ac.meduniwien.hno.hnoonconet.faces.renderkit.InputTNMRendererBase;



/**
 * Renderer for component class at.ac.meduniwien.hno.hnoonconet.faces.renderkit.html.InputTNMRenderer
 */
public class InputTNMRenderer extends InputTNMRendererBase {

	public InputTNMRenderer () {
		super();
	}

	// 
	// Declarations
	//
	// 
	// 
	//

	private String convertToString(Object obj ) {
		return ( obj == null ? "" : obj.toString() );
	}
	private String convertToString(boolean b ) {
		return String.valueOf(b);
	}
	private String convertToString(int b ) {
		return b!=Integer.MIN_VALUE?String.valueOf(b):"";
	}
	private String convertToString(long b ) {
		return b!=Long.MIN_VALUE?String.valueOf(b):"";
	}
	
	/**
	 * Get base component class, targetted for this renderer. Used for check arguments in decode/encode.
	 * @return
	 */
	protected Class getComponentClass() {
		return at.ac.meduniwien.hno.hnoonconet.faces.component.UIInputTNM.class;
	}


	public void doEncodeEnd(ResponseWriter writer, FacesContext context, at.ac.meduniwien.hno.hnoonconet.faces.component.UIInputTNM component, ComponentVariables variables) throws IOException {
	  java.lang.String clientId = component.getClientId(context);
java.util.ArrayList statesT ;
for ( 
	variables.setVariable("stateT", $from);
	Integer.getInteger(variables.getVariable("stateT").toString()).intValue() < Integer.getInteger($to).toString()).intValue();
	variables.addValueToVariable("stateT", new Integer(1) )
	) {
writer.writeText(convertToString(variables.getVariable("stateT")),null);

}
writer.startElement("div", component);
			getUtils().writeAttribute(writer, "id", clientId );
			//
// pass thru attributes
//
getUtils().encodeAttributesFromArray(context,component,new String[] {
    "align" ,
	    "dir" ,
	    "lang" ,
	    "onclick" ,
	    "ondblclick" ,
	    "onkeydown" ,
	    "onkeypress" ,
	    "onkeyup" ,
	    "onmousedown" ,
	    "onmousemove" ,
	    "onmouseout" ,
	    "onmouseover" ,
	    "onmouseup" ,
	    "style" ,
	    "title" ,
	    "xml:lang" });
//
//
//

writer.endElement("div");

	}		
	
	public void doEncodeEnd(ResponseWriter writer, FacesContext context, UIComponent component) throws IOException {
		ComponentVariables variables = ComponentsVariableResolver.getVariables(this, component);
		doEncodeEnd(writer, context, (at.ac.meduniwien.hno.hnoonconet.faces.component.UIInputTNM)component, variables );

		ComponentsVariableResolver.removeVariables(this, component);
	}		
	

}
